## ros-ros-comm 1.13.5+ds1

=== ros_comm/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_comm)
find_package(catkin REQUIRED)
catkin_metapackage()
