=== debian/changelog ===
ros-ros-comm (1.13.5+ds1-3) unstable; urgency=medium

  * Bugfix release while waiting for the version in NEW.
  * Add python-roslaunch to python-rostest (Closes: #894647)
  * Remove wrong ${misc:Depends}
  * Add missing dependencies
    (Closes: #896225, #896284, #896304, #896320, #896359, #896362, #896384)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:14:16 +0200

ros-ros-comm (1.13.5+ds1-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update Vcs URLs to salsa.d.o

  [ Jose Luis Rivero ]
  * Added patch to solve problems with console-bridge 0.4 (Closes: #891517)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Feb 2018 20:23:08 +0100

ros-ros-comm (1.13.5+ds1-1) unstable; urgency=medium

  * New upstream version 1.13.5+ds1
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Nov 2017 13:20:58 +0100

ros-ros-comm (1.13.3+ds1-1) unstable; urgency=medium

  * New upstream version 1.13.3+ds1
  * Remove patch, included upstream
  * update standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Oct 2017 15:30:36 +0200

ros-ros-comm (1.13.2+ds1-3) unstable; urgency=medium

  * Add patch for BSD (Closes: #876747)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 29 Sep 2017 10:10:59 +0200

ros-ros-comm (1.13.2+ds1-2) unstable; urgency=medium

  * Include missing headers

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Sep 2017 10:15:40 +0200

ros-ros-comm (1.13.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.13.2+ds1
  * Update standards version (no changes needed)
  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Sep 2017 18:45:54 +0200

ros-ros-comm (1.13.1+ds1-1) experimental; urgency=medium

  * Add missing dependencies
  * add Multi-Arch according to hinter
  * Update watch file
  * Exclude files and repack orig
  * New upstream version 1.13.1+ds1
  * Rebase patches and bump rosbag and rosbag_storage soname
  * Remove xmlrpcpp hack
  * Update copyright
  * Update policy and debhelper versions
  * Update dependencies and multi-arch
  * Add patch for system libb64

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Aug 2017 17:50:13 +0200
