=== debian/control ===
Source: ros-ros-comm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10), python, catkin, libroscpp-core-dev,
 python-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
 libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
 libboost-system-dev, libboost-thread-dev, libboost-signals-dev, liblz4-dev,
 ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
 dh-python, python-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
Homepage: http://wiki.ros.org/ros_comm
X-Python-Version: >= 2.7


###########
# Clients #
###########

Package: libroscpp-dev
Section: libdevel
Architecture: any
Depends: libroscpp1d (= ${binary:Version}), ${misc:Depends}, python, libboost-signals-dev, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msgs-dev
Description: Robot OS development files for libroscpp
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the development files for the library.

Package: libroscpp1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS client library
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the library.

Package: ros-roscpp-msgs
Section: devel
Architecture: all
Depends: ${misc:Depends}, ros-std-msgs
Description: Robot OS definitions of roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the message definitions.

Package: libroscpp-msgs-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS header for roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated C++ headers.

Package: python-roscpp-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Header for roscpp messages, Python
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters. 
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated Python package.

Package: cl-roscpp-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Header for roscpp messages, LISP
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated LISP library.

Package: python-rospy
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-std-msgs, python-rosgraph, python-roscpp-msgs, python-rosgraph-msgs, python-yaml, python-roslib
Description: Python client library for Robot OS
 This package is part of Robot OS (ROS). The rospy client API enables
 Python programmers to quickly interface with ROS topics, services,
 and parameters. The design of rospy favors implementation speed
 (i.e. developer time) over runtime performance so that algorithms can
 be quickly prototyped and tested within ROS. It is also ideal for
 non-critical-path code, such as configuration and initialization
 code. Many of the ROS tools are written in rospy to take advantage of
 the type introspection capabilities.
 .
 Many of the ROS tools, such as rostopic and rosservice, are built on
 top of rospy.


#########
# Tools #
#########

Package: librosbag-dev
Section: libdevel
Architecture: any
Depends: librosbag3d (= ${binary:Version}), ${misc:Depends}, librosbag-storage-dev, librosconsole-dev, libroscpp-dev, libtopic-tools-dev, libxmlrpcpp-dev
Description: Tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the development files
 for the rosbag library, which provides APIs for reading/writing bags
 (ROS message stores) in C++ and Python.
 
Package: librosbag3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the rosbag library,
 which provides APIs for reading/writing bags (ROS message stores) in
 C++ and Python. It is intended to be high performance and avoids
 deserialization and reserialization of the messages.
 .
 The related rosbag package provides a command-line tool for working
 with bags.

Package: python-rosbag
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-roslib, python-rospy, python-roslz4
Description: Python tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It provides a command-line
 tool for working with bags (ROS messages stores). The corresponding
 librosbag package provides corresponding C++ and Python APIs.

Package: librosbag-storage-dev
Section: libdevel
Architecture: any
Depends: librosbag-storage2d (= ${binary:Version}), ${misc:Depends}, libconsole-bridge-dev, libboost-date-time-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev, libroslz4-dev, libbz2-dev
Description: Development files for librosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the development files for the library.

Package: librosbag-storage2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS library for rosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library. 
 .
 This package contains the library.

Package: librosconsole-dev
Section: libdevel
Architecture: any
Depends: librosconsole2d (= ${binary:Version}), libboost-regex-dev, libboost-system-dev, libboost-thread-dev, libroscpp-core-dev, liblog4cxx-dev, ${misc:Depends}
Description: Development files for librosconsole
 This package is part of Robot OS (ROS). It is the ROS console output
 library, a C++ package that supports console output and logging in
 roscpp. It provides a macro-based interface which allows both printf-
 and stream-style output. It also wraps log4cxx, which supports
 hierarchical loggers, verbosity levels and configuration-files.
 .
 This package contains the development files for the library.

Package: librosconsole2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for librosconsole
 This package is part of Robot OS (ROS). It is the ROS console output
 library, a C++ package that supports console output and logging in
 roscpp. It provides a macro-based interface which allows both printf-
 and stream-style output. It also wraps log4cxx, which supports
 hierarchical loggers, verbosity levels and configuration-files.
 .
 This package contains the library.

Package: python-rosgraph
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-yaml
Description: Command-line tool to print information about the Robot OS computation graph
 This package is part of Robot OS (ROS). rosgraph contains the
 rosgraph command-line tool, which prints information about the ROS
 computation graph. It also provides an internal library that can be
 used by graphical tools.

Package: python-roslaunch
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-rosclean,
 rosout, python-rospkg, python-rosgraph, python-roslib, python-rosmaster,
 python-rosgraph-msgs, python-netifaces, python-rosparam, python-yaml
Description: roslaunch tool for Robot OS
 This package is part of Robot OS (ROS). roslaunch is a tool for
 easily launching multiple ROS nodes locally and remotely via SSH, as
 well as setting parameters on the Parameter Server. It includes
 options to automatically respawn processes that have already died.
 roslaunch takes in one or more XML configuration files (with the
 launch extension) that specify the parameters to set and nodes to
 launch, as well as the machines that they should be run on.
 .
 This package contains the roscore program.

Package: python-rosmaster
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-rosgraph, python-rospkg, python-defusedxml
Description: Robot OS Master implementation
 This package is part of Robot OS (ROS). The rosmaster package
 implements the ROS Master. Most programs will not need to interact
 with this package directly. The rosmaster is run automatically
 whenever roscore is run and all communication with the Master happens
 over XMLRPC APIs.


Package: python-rosmsg
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-rosgraph, python-rospkg, python-roslib, python-rosbag, python-genpy
Description: Command-line tools for displaying information about Robot OS
 This package is part of Robot OS (ROS). rosmsg is a command-line tool
 for displaying information about ROS Message types. rossrv is a
 command-line tool for displaying information about ROS Service types.

Package: python-rosnode
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-rosgraph, python-rostopic
Description: Command-line tool for displaying debug information about Robot OS
 This package is part of Robot OS (ROS). rosnode is a command-line
 tool for displaying debug information about ROS Nodes, including
 publications, subscriptions and connections. It also contains an
 experimental library for retrieving node information. This library is
 intended for internal use only.

Package: rosout
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Robot OS system-wide logging mechanism
