=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --with=python2 --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --repack --compress xz
