=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1,\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-ros-comm-$1.tar.gz%" \
    https://github.com/ros/ros_comm/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
